glibmm: Glib::SpawnError Class Reference

glibmm 2.38.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::SpawnError Class Reference
Spawning Processes

Exception class for errors occuring when spawning processes. More...

`#include <glibmm/spawn.h>`

Inheritance diagram for Glib::SpawnError:
[legend]

## Public Types
enum | Code { FORK, READ, CHDIR, ACCES, PERM, TOO_BIG, TOOBIG = TOO_BIG, NOEXEC, NAMETOOLONG, NOENT, NOMEM, NOTDIR, LOOP, TXTBUSY, IO, NFILE, MFILE, INVAL, ISDIR, LIBBAD, FAILED }

## Public Member Functions
| SpawnError (Code error_code, const Glib::ustring& error_message)
| SpawnError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception ()=0 throw ()

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for errors occuring when spawning processes.

## Member Enumeration Documentation

enum Glib::SpawnError::Code

Enumerator
FORK |
READ |
CHDIR |
ACCES |
PERM |
TOO_BIG |
TOOBIG |
NOEXEC |
NAMETOOLONG |
NOENT |
NOMEM |
NOTDIR |
LOOP |
TXTBUSY |
IO |
NFILE |
MFILE |
INVAL |
ISDIR |
LIBBAD |
FAILED |

## Constructor & Destructor Documentation

Glib::SpawnError::SpawnError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::SpawnError::SpawnError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Glib::SpawnError::code | ( |  | ) | const